Decoder (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.datamatrix.decoder, class: Decoder

Package com.google.zxing.datamatrix.decoder

# Class Decoder

java.lang.Object
com.google.zxing.datamatrix.decoder.Decoder

public final class Decoder extends Object

The main class which implements Data Matrix Code decoding -- as opposed to locating and extracting the Data Matrix Code from an image.

Author:
  bbrown@google.com (Brian Brown)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Decoder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DecoderResult`
  `decode(boolean[][] image)`
  Convenience method that can decode a Data Matrix Code represented as a 2D array of booleans.
  `DecoderResult`
  `decode(BitMatrix bits)`
  Decodes a Data Matrix Code represented as a `BitMatrix`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Decoder

    public Decoder()

- ## Method Details

  - ### decode

    public DecoderResult decode(boolean[][] image) throws FormatException, ChecksumException

    Convenience method that can decode a Data Matrix Code represented as a 2D array of booleans. "true" is taken to mean a black module.

    Parameters:
      `image` - booleans representing white/black Data Matrix Code modules
    Returns:
      text and bytes encoded within the Data Matrix Code
    Throws:
      `FormatException` - if the Data Matrix Code cannot be decoded
      `ChecksumException` - if error correction fails

  - ### decode

    public DecoderResult decode(BitMatrix bits) throws FormatException, ChecksumException

    Decodes a Data Matrix Code represented as a `BitMatrix`. A 1 or "true" is taken to mean a black module.

    Parameters:
      `bits` - booleans representing white/black Data Matrix Code modules
    Returns:
      text and bytes encoded within the Data Matrix Code
    Throws:
      `FormatException` - if the Data Matrix Code cannot be decoded
      `ChecksumException` - if error correction fails